# ClientSDKError

Base error class with typed error codes.

| Field   | Type   | Required |
| ------- | ------ | -------- |
| code    | string | ✅        |
| message | string | ✅        |
| details | object | ❌        |

**Error Codes**

| Code                  | Description                                                                                     |
| --------------------- | ----------------------------------------------------------------------------------------------- |
| **Network Errors**    |                                                                                                 |
| UNSUPPORTED\_NETWORK  | Unsupported network                                                                             |
| **Data Errors**       |                                                                                                 |
| NOT\_FOUND            | Resource not found                                                                              |
| INVALID\_INPUT        | Invalid parameters                                                                              |
| MISSING\_TOKENS       | Missing required tokens to purchase                                                             |
| UNSUPPORTED\_TYPE     | Unsupported product type (Only support the following types: AppType.Edition, AppType.BlindMint) |
| **Blockchain Errors** |                                                                                                 |
| ESTIMATION\_FAILED    | Can’t estimate gas                                                                              |
| TRANSACTION\_FAILED   | Transaction reverted                                                                            |
| LEDGER\_ERROR         | Ledger wallet error                                                                             |
| TRANSACTION\_REVERTED | Transaction revert                                                                              |
| TRANSACTION\_REJECTED | User rejected                                                                                   |
| INSUFFICIENT\_FUNDS   | Wallet does not have the required funds                                                         |
| **Permission Errors** |                                                                                                 |
| NOT\_ELIGIBLE         | Not eligible to purchase                                                                        |
| SOLD\_OUT             | Product sold out                                                                                |
| LIMIT\_REACHED        | Limit reach for wallet                                                                          |
| ENDED                 | Product not available anymore                                                                   |
| NOT\_STARTED          | Not started, come back late                                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.manifold.xyz/client-sdk/reference/clientsdkerror.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
